Subject: Re: [PATCH bpf-next v4 00/12] Extend SOCKMAP to store listening sockets

From: Jakub Sitnicki <[email-masked]>
Date: Mon, 27 Jan 2020 14:03:22 +0100

On Mon, Jan 27, 2020 at 12:13 PM CET, Daniel Borkmann wrote:
> On 1/23/20 4:55 PM, Jakub Sitnicki wrote:
> [...]
>> Jakub Sitnicki (12):
>>    bpf, sk_msg: Don't clear saved sock proto on restore
>>    net, sk_msg: Annotate lockless access to sk_prot on clone
>>    net, sk_msg: Clear sk_user_data pointer on clone if tagged
>>    tcp_bpf: Don't let child socket inherit parent protocol ops on copy
>>    bpf, sockmap: Allow inserting listening TCP sockets into sockmap
>>    bpf, sockmap: Don't set up sockmap progs for listening sockets
>>    bpf, sockmap: Return socket cookie on lookup from syscall
>>    bpf, sockmap: Let all kernel-land lookup values in SOCKMAP
>>    bpf: Allow selecting reuseport socket from a SOCKMAP
>>    net: Generate reuseport group ID on group creation
>>    selftests/bpf: Extend SK_REUSEPORT tests to cover SOCKMAP
>>    selftests/bpf: Tests for SOCKMAP holding listening sockets
>>
>>   include/linux/skmsg.h                         |   15 +-
>>   include/net/sock.h                            |   37 +-
>>   include/net/sock_reuseport.h                  |    2 -
>>   include/net/tcp.h                             |    7 +
>>   kernel/bpf/reuseport_array.c                  |    5 -
>>   kernel/bpf/verifier.c                         |    6 +-
>>   net/core/filter.c                             |   27 +-
>>   net/core/skmsg.c                              |    2 +-
>>   net/core/sock.c                               |   11 +-
>>   net/core/sock_map.c                           |  133 +-
>>   net/core/sock_reuseport.c                     |   50 +-
>>   net/ipv4/tcp_bpf.c                            |   17 +-
>>   net/ipv4/tcp_minisocks.c                      |    2 +
>>   net/ipv4/tcp_ulp.c                            |    3 +-
>>   net/tls/tls_main.c                            |    3 +-
>>   .../bpf/prog_tests/select_reuseport.c         |   60 +-
>>   .../selftests/bpf/prog_tests/sockmap_listen.c | 1455 +++++++++++++++++
>>   .../selftests/bpf/progs/test_sockmap_listen.c |   77 +
>>   tools/testing/selftests/bpf/test_maps.c       |    6 +-
>>   19 files changed, 1811 insertions(+), 107 deletions(-)
>>   create mode 100644 tools/testing/selftests/bpf/prog_tests/sockmap_listen.c
>>   create mode 100644 tools/testing/selftests/bpf/progs/test_sockmap_listen.c
>>
>
> Unfortunately, the series needs one last rebase in order to be applied due
> to conflicts from John's earlier sockmap/tls fixes from Jan/11th [0].

If it's not too late, it has been now rebased [0].

Thanks,
-jkbs

[0] https://lore.kernel.org/bpf/[email-masked]/T/#t